import glob, requests, os, json
from dotenv import load_dotenv

load_dotenv()

instance_base_proto = os.getenv("INSTANCE_BASE_PROTO")
instance_base_url = os.getenv("INSTANCE_BASE_URL")
instance_full_url = instance_base_proto + "://" + instance_base_url + "/api/iceshrimp/emoji"
auth_token = os.getenv("AUTH_TOKEN")

image_types = json.loads(os.getenv("EMOJI_FILE_TYPES"))
suffixes = json.loads(os.getenv("EMOJI_SUFFIXES"))

json_data = {"authorization": auth_token}
amount_of_images = 0
image_num = 0
for type in image_types:
    amount_of_images += len(glob.glob(f"**/*.{type}", recursive=True))
    for image in glob.glob(f"**/*.{type}", recursive=True):
        image_num += 1
        for suffix in suffixes:
            if ("_" + suffix) in image:
                os.rename(image, image.replace(("_" + suffix), ""))
                image = image.replace(("_" + suffix), "")
        file = {"file": open(image, "rb")}
        print("adding " + image + " (" + str(image_num) + "/" + str(amount_of_images) + ")")
        add = requests.post(instance_full_url, files=file, headers=json_data)